<template>
  <div class="p-2">
    <a-tabs v-model:activeKey="activeKey">
      <a-tab-pane key="1" tab="常规">
        <Convention v-if="activeKey === '1'"></Convention>
      </a-tab-pane>
      <a-tab-pane key="2" tab="邮箱管理" force-render>
        <MailboxManagement v-if="activeKey === '2'"></MailboxManagement>
      </a-tab-pane>
      <a-tab-pane key="3" tab="快速文本"
        ><QuickText v-if="activeKey === '3'"></QuickText
      ></a-tab-pane>
      <a-tab-pane key="4" tab="文件夹"><Folder v-if="activeKey === '4'" /></a-tab-pane>
      <a-tab-pane key="5" tab="标签"><Label v-if="activeKey==='5'" /></a-tab-pane>
      <a-tab-pane key="6" tab="黑名单"><Blacklist v-if="activeKey === '6'" /></a-tab-pane>
    </a-tabs>
  </div>
</template>

<script lang="ts" setup>
  name: 'Utils';
  import { ref } from 'vue';
  const activeKey = ref('1');
  import MailboxManagement from './mailboxManagement.vue';
  import Convention from './convention.vue';
  import QuickText from './quickText.vue';
  import Folder from './folder.vue';
import Label from './label.vue';
  import Blacklist from './blacklist.vue'
</script>
<style scoped lang="less"></style>
